Last Comment Bug 312489 - URLs concatenated when opening a home page tab group from desktop icon
: URLs concatenated when opening a home page tab group from desktop icon
Status: RESOLVED FIXED
: fixed-seamonkey1.0.1, fixed-seamonkey1.1a
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Windows 2000
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 300485
  Show dependency treegraph
 
Reported: 2005-10-14 11:35 PDT by Sherman Wang
Modified: 2006-02-09 08:42 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (823 bytes, patch)
2005-10-18 03:10 PDT, neil@parkwaycc.co.uk
cbiesinger: review+
jag-mozilla: superreview+
kairo: approval‑seamonkey1.0.1+
iann_bugzilla: approval‑seamonkey1.1a+
Details | Diff | Review

Description Sherman Wang 2005-10-14 11:35:45 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b5) Gecko/20051012 SeaMonkey/1.0b
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b5) Gecko/20051012 SeaMonkey/1.0b

When Mozilla/Seamonkey is loaded and a new window is opened from the desktop
icon, if a tab group is set as the home page the URLs will be concatenated in
the location bar.  Only one window is opened with no additional tabs. 
Subsequently, the page loads fail due to the concatenated URLs (unless
about:blank is used).

Reproducible: Always

Steps to Reproduce:
1. set a group of tabs as the home page
2. open a new window via desktop icon
3. view the page load fail

Actual Results:  
New window opened with URLs concatenated, no tabs open.  (eg
about:blankabout:blank or http://www.google.com/http://slashdot.org/ )

Expected Results:  
New window with several tabs open, one site per tab (eg http://www.google.com/in
one tab, http://slashdot.org/ in another).

currently using adblock d2 nightly build 52.  same results with adblock disabled
as well as enabled.
Comment 1 Adam Guthrie 2005-10-14 13:16:49 PDT
See Firefox bug 293396.
Comment 2 jag (Peter Annema) 2005-10-14 18:17:50 PDT
What happens when you click the home button? Do you see the same problem, or do
you actually get all the tabs you're expecting?
Comment 3 neil@parkwaycc.co.uk 2005-10-15 10:06:35 PDT
SeaMonkey can now open external links in new tabs. When you don't provide an
external link it attempts to open the home page in a new tab. Unfortunately
danm's API doesn't allow for opening multiple tabs.

We can just not open the home page in a new tab, or we can detect whether the
home page is a group, and force it to open in a window. Any other ideas?

Note that as a workaround you can force the home page to open in a new window by
ticking the Navigator checkbox in the Appearance section of Preferences.
Comment 4 Sherman Wang 2005-10-15 21:34:03 PDT
when I click on the home button after getting something like
"http://www.google.com/http://slashdot.org/" in the URL bar, Seamonkey opens the
tabs as expected.
Comment 5 neil@parkwaycc.co.uk 2005-10-18 03:10:12 PDT
Created attachment 199912 [details] [diff] [review]
Proposed patch
Comment 6 neil@parkwaycc.co.uk 2005-10-18 16:34:16 PDT
Fix checked in.
Comment 7 neil@parkwaycc.co.uk 2006-02-02 05:32:04 PST
Comment on attachment 199912 [details] [diff] [review]
Proposed patch

Also 1.0.1 I guess :-[
Comment 8 Ian Neal 2006-02-02 09:23:35 PST
Comment on attachment 199912 [details] [diff] [review]
Proposed patch

a=me for SM1.1 and a=me for first one for SM1.0.1 (or do we jump to 1.0.2 to sync with FF?)
Comment 9 Ian Neal 2006-02-09 07:00:58 PST
Comment on attachment 199912 [details] [diff] [review]
Proposed patch

a=me for SM1.0, some more needed yet
Comment 10 neil@parkwaycc.co.uk 2006-02-09 07:10:47 PST
KaiRo didn't mark a+ because it's 1.0.1 :-P
Comment 11 Robert Kaiser (not working on stability any more) 2006-02-09 07:10:55 PST
Comment on attachment 199912 [details] [diff] [review]
Proposed patch

a=me for 1.0.1 - nite that this is the wrong flag, as 1.0 is out already, (ab)using it for this though, as we don't have a 1.0.1 flag yet...
Comment 12 Robert Kaiser (not working on stability any more) 2006-02-09 08:42:17 PST
Comment on attachment 199912 [details] [diff] [review]
Proposed patch

move to the correct flag :)

Note You need to log in before you can comment on or make changes to this bug.